Bug Hunting Session
Bug 81110 - Threaded 3D chart rendering ...
Summary: Threaded 3D chart rendering ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
4.3.0.2 rc
Hardware: Other All
: medium normal
Assignee: Markus Mohrhard
URL:
Whiteboard: target:4.4.0
Keywords:
Depends on:
Blocks: 81107
  Show dependency treegraph
 
Reported: 2014-07-09 14:26 UTC by Michael Meeks
Modified: 2014-07-13 06:05 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Meeks 2014-07-09 14:26:42 UTC
Produce a prototype infrastructure patch for this to demonstrate the design, and show how this should be done.
Comment 1 Commit Notification 2014-07-12 02:47:22 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=664fb35ab522c40d298012922f059f6d48006355

first part for threaded chart rendering, fdo#81110



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2014-07-13 06:02:45 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=dde00f1f8ac598314b7f8a787eeacc841bc65f1c

make threaded rendering work correctly, fdo#81110



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Markus Mohrhard 2014-07-13 06:05:12 UTC
It is working now. I might have missed one or two corner cases but the design should be safe and the rendering should not be exposes to race conditions. If you change anything makre sure that we are not deadlocking and that all shared resources are protected by a mutex or the rendering thread can not run any more.